/* -----------------------------------------------------------------------------
 *    ___   __    __       _      __              __   __
 *   / _ | / /__ / /____ _| | /| / /__  ___  ____/ /  / /____ ____
 *  / __ |/  '_//  '_/ // / |/ |/ / _ `/ -_)/ __/ _ \/ __/ -_) __/
 * /_/ |_/_/\_\/_/\_\\_,_/|__/|__/\_,_/\__/ \__/_//_/\__/\__/_/
 *
 * 080824-1 (c)2009 Elektor International Media B.V.
 * -------------------------------------------------------------------------- */
/* -----------------------------------------------------------------------------
 * This file contains the source code of the function library to control
 * the Character LCD display.
 *
 * -------------------------------------------------------------------------- */

#ifndef __COMMON_H__
#define __COMMON_H__

/* -----------------------------------------------------------------------------
 * Global Defines
 * -------------------------------------------------------------------------- */
// GPIO states
enum GPIO_STATES {
	LOW  = 0,
	HIGH = 1
};

// bit masks
#define MASK_BIT(bit) (1 << (bit))
enum MASK_BITS {
	MASK_BIT0 = 0x01,
	MASK_BIT1 = 0x02,
	MASK_BIT2 = 0x04,
	MASK_BIT3 = 0x08,
	MASK_BIT4 = 0x10,
	MASK_BIT5 = 0x20,
	MASK_BIT6 = 0x40,
	MASK_BIT7 = 0x80,

	MASK_NO_MORE
};

#endif // __COMMON_H__
